--[[
Name: CooldownButtons
Project Revision: @project-revision@
File Revision: @file-revision@ 
Author(s): Netrox
Website: http://www.wowace.com/projects/cooldownbuttons/
Git Repo: git://git.wowace.com/wow/cooldownbuttons/mainline.git
License: All rights reserved.
]]

local CDB = CDB

local function CreateTableEntrys(...)
    local count = select('#', ...)
    local entrys = {}
    for i = 1, count, 1 do
        entrys[tostring(select(i, ...))] = true
    end
    return entrys
end

function CDB:InitDefaultCooldownSets()
    local class = select(2, UnitClass("player"))
    local sets = {
        ["**"] = {
            ["icon"] = "Interface\\Icons\\INV_Misc_QuestionMark",
            ["type"] = "Spell",
            ["ids"] = {
                ["**"] = false,
            },
        }
    }
    if class == "WARLOCK" then 
        sets["Summon Infernal/Doomguard"] = {
            ["icon"] = "Interface\\Icons\\warlock_summon_doomguard",
            ["ids"] = {
                ["1122"]   = true, -- Infernal
                ["18540"]  = true, -- Doomguard
                ["112927"] = true, -- Terrorguard
				["112921"] = true, -- Abyssal
            },
        }
    elseif class == "DRUID" then 
        sets["Incarnation"] = {
            ["icon"] = "Interface\\Icons\\spell_druid_incarnation",
            ["ids"] = {
                ["33891"]  = true, -- Restoration
                ["102558"] = true, -- Guardian
                ["102560"] = true, -- Moonkin
                ["102543"] = true, -- Feral
            },
        }
    elseif class == "HUNTER" then 
        sets["Frost Traps"] = {
            ["icon"] = "Interface\\Icons\\Spell_Frost_FreezingBreath",
            ["ids"] = {
                -- Freezing Trap
                ["1499"] = true,
                -- Frost Trap
                ["13809"] = true,
            },
        }
    elseif class == "SHAMAN" then 
        sets["Shocks"] = {
            ["icon"] = "Interface\\AddOns\\CooldownButtons\\Icons\\shocks.tga",
            ["ids"] = {
                -- Earth Shock
                ["8042"] = true,
                -- Flame Shock
                ["8050"] = true,
                -- Frost Shock
                ["8056"] = true,
            },
        }
	--[[
    elseif class == "PALADIN" then 
        -- nothing to do here? :)
    ]]
    end
	--Heal Pots 
    sets["Healing Potions"] = {
        ["icon"] = "Interface\\Icons\\inv_misc_potionsetf",
        ["type"] = "Item",
        -- Got IDs from wowhead.com ( Filter: http://www.wowhead.com/items=0?filter=ty=1;cr=62:115;crs=3:1;crv=60:0 ) 
		-- Rejuvenation Potions do NOT count.
        ["ids"] = CreateTableEntrys(93742,76097,92954,63144,64994,57191,63300,67415,43569,33447,40077,41166,34440,39671,22837,31838,31839,31852,31853,32784,32910,23822,33092,22829,32904,32905,32947,39327,43531,28100,33934,13446,17348,3928,9144,17349,18839,1710,929,4596,858,118,118917,109223,117415,118916),
    }
	sets["Potions"] = {
        ["icon"] = "Interface\\Icons\\inv_potion_20",
        ["type"] = "Item",
        -- Got IDs from wowhead.com ( Filter: http://www.wowhead.com/items=0?filter=ty=1;cr=62:115;crs=3:3;crv=60:0 ) 
		-- remove 93742 (Healing Potion / +25% max Health)
		-- ad Rejuvenation Potions (Filter: http://www.wowhead.com/items=0?filter=ty=1;na=Rejuvenation;cr=62:115;crs=3:1;crv=60:0)
        ["ids"] = CreateTableEntrys(109226,76094,113585,57193,40087,22850,18253,2456,76089,76090,76092,76093,76095,76096,76098,92941,92942,92943,98061,98062,98063,57099,57194,58090,58091,58145,58146,58488,63145,64993,58487,57192,43570,33448,40081,40093,40211,40212,40213,40214,40215,40216,40217,42545,40067,22849,31677,22836,22838,22839,22841,22842,22844,22845,22846,22847,31840,31841,31854,31855,32783,32840,32844,32845,32846,32847,32909,38351,23823,31676,33093,22832,32902,32903,32948,43530,22871,22828,22826,28101,33935,13506,20002,13444,13456,13457,13458,13459,13461,13462,20008,13455,3386,17351,13442,13443,18841,3387,12190,17352,4623,9030,9036,6149,6050,6052,5633,6049,3827,5634,6048,5816,3385,3384,6051,6372,2455,2459,3087,54213,5631,118913,118914,118915,109217,109218,109219,109220,109221,109222,118006,118262,118910,118911,118912,116266,116276,118704,116277,116275,116267,107640),
    }
    return sets
end
